#include <bits/stdc++.h>

using namespace std;

int main(int argc, char** argv) {
	int N ,K , tr;
	cin>>N >>K;
	int a[N];
	for(int i=0;i<N;i++){
		cin>>a[i];
		if(a[i] == K){
			tr = i;
		}
	}
	
	if(K == a[0]){
		cout<<a[1];
	}else if(K == a[N-1]){
		cout<<a[0];
	}else{
		cout<<a[tr+1];
	}
	return 0;
}